net.fortuna.ical4j.model.property

## Class TzId

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.TzId

All Implemented Interfaces:
  Serializable, Escapable

    public class TzId
    extends Property
    implements Escapable

$Id$ Created: [Apr 6, 2004] Defines a TZID iCalendar component property.

         4.8.3.1 Time Zone Identifier

            Property Name: TZID

            Purpose: This property specifies the text value that uniquely
            identifies the "VTIMEZONE" calendar component.

            Value Type: TEXT

            Property Parameters: Non-standard property parameters can be
            specified on this property.

            Conformance: This property MUST be specified in a "VTIMEZONE"
            calendar component.

            Description: This is the label by which a time zone calendar
            component is referenced by any iCalendar properties whose data type
            is either DATE-TIME or TIME and not intended to specify a UTC or a
            "floating" time. The presence of the SOLIDUS character (US-ASCII
            decimal 47) as a prefix, indicates that this TZID represents an
            unique ID in a globally defined time zone registry (when such
            registry is defined).

                 Note: This document does not define a naming convention for time
                 zone identifiers. Implementers may want to use the naming
                 conventions defined in existing time zone specifications such as
                 the public-domain Olson database [TZ]. The specification of
                 globally unique time zone identifiers is not addressed by this
                 document and is left for future study.

            Format Definition: This property is defined by the following
            notation:

              tzid       = "TZID" tzidpropparam ":" [tzidprefix] text CRLF

              tzidpropparam      = *(";" xparam)

              ;tzidprefix        = "/"
              ; Defined previously. Just listed here for reader convenience.

            Example: The following are examples of non-globally unique time zone
            identifiers:

              TZID:US-Eastern

              TZID:California-Los_Angeles

            The following is an example of a fictitious globally unique time zone
            identifier:

              TZID:/US-New_York-New_York

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `PREFIX` Timezone identifier prefix.

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`TzId()` Default constructor.
`TzId(ParameterList aList, String aValue)`
`TzId(String aValue)`

### Method Summary

Methods
`String` `getValue()`
`void` `setValue(String aValue)` Sets the current value of the property.
`void` `validate()` Perform validation on a property.

### Methods inherited from class net.fortuna.ical4j.model.Property

`copy, equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PREFIX

    public static final String PREFIX

Timezone identifier prefix.

See Also:
  Constant Field Values

### Constructor Detail

#### TzId

    public TzId()

Default constructor.

#### TzId

    public TzId(String aValue)

Parameters:
  `aValue` - a value string for this component

#### TzId

    public TzId(ParameterList aList,
        String aValue)

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component

### Method Detail

#### setValue

    public final void setValue(String aValue)

Sets the current value of the property.

Specified by:
  `setValue` in class `Property`
Parameters:
  `aValue` - a string representation of the property value

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### validate

    public final void validate()
                        throws ValidationException

Perform validation on a property.

Specified by:
  `validate` in class `Property`
Throws:
  `ValidationException` - where the property is not in a valid state